Du bist nicht angemeldet.

#1 05.10.2014 17:02:24

stefanhusmann
Moderator

Restrukturierung der Nvidia-Pakete

Da die Firma NVIDIA bei ihren propietären Grafiktreibern mit der Version 343,22 die Unterstützung einiger älterer Grafikkarten fallengelassen hat (z.B. G8x, G9x, and GT2xx GPUs), gibt es jetzt eine Zusammenstellung von nvidia-340xx in den Repos, die ältere Graphikkarten - laut NVIDIA noch bis 2019 - unterstützen.

Die Benutzung dieser Treiber wird für Besitzer älterer Karten gegenüber den nvidia-Paketen ohne Versionsnummerzusatz im Namen empfohlen.

Offline

#2 05.10.2014 17:43:59

Dirk
Moderator

Re: Restrukturierung der Nvidia-Pakete

stefanhusmann schrieb:

Die Benutzung dieser Treiber wird für Besitzer älterer Karten gegenüber den nvidia-Paketen ohne Versionsnummerzusatz im Namen empfohlen.

Nicht nur empfohlen, sondern auch notwendig, da der aktuelle Treiber die alten Karten eben – nicht mehr unterstützt smile

Offline

#3 05.10.2014 17:48:31

stefanhusmann
Moderator

Re: Restrukturierung der Nvidia-Pakete

Naja, meine Geforce GT 610 lief bislang mit 343 grundsätzlich, aber dennoch scheint die 340-Serie besser zu funzen. Ich hatte bei einem Paket einen Speicherzugriffsfehler, aber halt nur bei dem einen Programm.

Offline

#4 08.10.2014 11:08:24

thor
Mitglied

Re: Restrukturierung der Nvidia-Pakete

Hallo,

habe hier dasselbe Problem, installiert ist nvidia340xx-lts und es kommt folgende Fehlermeldung in der Xorg.0.log:

...
[    67.896] (--) controlling tty is VT number 1, auto-enabling KeepTty
[    67.896] (II) Loading sub module "fb"
[    67.896] (II) LoadModule: "fb"
[    67.896] (II) Loading /usr/lib/xorg/modules/libfb.so
[    67.896] (II) Module fb: vendor="X.Org Foundation"
[    67.896] 	compiled for 1.16.1, module version = 1.0.0
[    67.896] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    67.896] (WW) Unresolved symbol: fbGetGCPrivateKey
[    67.896] (II) Loading sub module "wfb"
[    67.896] (II) LoadModule: "wfb"
[    67.896] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    67.896] (II) Module wfb: vendor="X.Org Foundation"
[    67.896] 	compiled for 1.16.1, module version = 1.0.0
[    67.896] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    67.896] (II) Loading sub module "ramdac"
[    67.896] (II) LoadModule: "ramdac"
[    67.896] (II) Module "ramdac" already built-in
[    67.982] (EE) NVIDIA: Failed to initialize the NVIDIA kernel module. Please see the
[    67.982] (EE) NVIDIA:     system's kernel log for additional error messages and
[    67.982] (EE) NVIDIA:     consult the NVIDIA README for details.
[    67.982] (EE) No devices detected.
[    67.982] (EE) 
Fatal server error:
[    67.982] (EE) no screens found(EE) 
[    67.982] (EE) 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[    67.982] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    67.982] (EE) 

der Monitor bleibt schwarz - No Screens found.

Hm, was kann ich machen?

Viele Grüße und danke !!
Thorsten

Beitrag geändert von thor (08.10.2014 11:09:16)

Offline

#5 08.10.2014 11:15:56

Cresh all
Gast

Re: Restrukturierung der Nvidia-Pakete

> Hm, was kann ich machen?

Fehlermeldung lesen.

#6 08.10.2014 11:16:36

tapsiturtle
Mitglied

Re: Restrukturierung der Nvidia-Pakete

Es gibt einen Bug Report zum nvidia-lts Paket. Möglicherweise habt ihr den gleichen Fehler.

Offline

#7 08.10.2014 11:47:57

thor
Mitglied

Re: Restrukturierung der Nvidia-Pakete

tapsiturtle schrieb:

Es gibt einen Bug Report zum nvidia-lts Paket. Möglicherweise habt ihr den gleichen Fehler.

Danke! Ich hab jetzt den normalen Kernel und nvidia-340xx installiert und es geht wieder. Scheint also wirklich ein Problem der lts Version zu sein.

Viele Grüße
Thorsten

Offline

#8 08.10.2014 14:39:12

thor
Mitglied

Re: Restrukturierung der Nvidia-Pakete

Schon klar, hat aber mit dem aktuellen Problem  nichts zu tun. Sowohl nvidia-lts auch auch linux-lts waren natürlich auf dem neuesten Stand.

Thorsten

Offline

#9 08.10.2014 16:12:11

Zedar
Mitglied

Re: Restrukturierung der Nvidia-Pakete

Bei mir das gleiche Problem wie bei Thor nach einem update, selbe Ausgabe in /var/log/Xorg.0.log.

Bei

modprobe nvidia

kam auch eine Fehlermeldung an die ich mich aber nicht mehr richtig erinnern konnte. Ich führte auch eine nvidia Neuinstallation aus, leider ohne Erfolg. Bei mir ist das Paket nvidia-340xx betroffen. Ich bin erst mal auf nouveau umgestiegen, da ich ein Problem mit dem Kernel vermutete.

Offline

#10 08.10.2014 22:11:26

BastardLawyerFromHell
Mitglied

Re: Restrukturierung der Nvidia-Pakete

Zedar schrieb:

Bei mir das gleiche Problem wie bei Thor nach einem update, selbe Ausgabe in /var/log/Xorg.0.log.

Bei

modprobe nvidia

kam auch eine Fehlermeldung an die ich mich aber nicht mehr richtig erinnern konnte. Ich führte auch eine nvidia Neuinstallation aus, leider ohne Erfolg. Bei mir ist das Paket nvidia-340xx betroffen. Ich bin erst mal auf nouveau umgestiegen, da ich ein Problem mit dem Kernel vermutete.

Bei mir auf dem Laptop dasselbe Problem. Graka: NVS 140

Offline

#11 09.10.2014 07:13:37

Zedar
Mitglied

Re: Restrukturierung der Nvidia-Pakete

Danke für die Info. Bei Gelegenheit werde ich es noch mal testen. Also noch heute früh, wenn ich zeit habe.

Edit: 7:55

Das nvidia Modul mit dem Paket 340xx läuft wieder. Danke smile

Beitrag geändert von Zedar (09.10.2014 07:55:34)

Offline

#12 20.10.2014 14:14:01

Steli
Mitglied

Re: Restrukturierung der Nvidia-Pakete

TBone schrieb:

Mit nvidia-340xx (nicht lts) gab es bis zum 2014-10-07 13:51 UTC ein Problem, da es nicht gegen den aktuellen Kernel gebaut wurde. Sollte aber behoben sein.
Sollte das Problem immer noch vorhanden sein (und ihr keinen selbst gebauten Kernel benutzen) -> Bugreport

Sorry, Problem tritt bei mir (am lenovo T410) trotz downgrade auf nvidia-340 nach wie vor auf:

root@emmy stefan]# pacman -Q | grep nvidia
nvidia 340.32-1
nvidia-libgl 340.32-1
nvidia-utils 340.32-1
root@emmy stefan]# uname -a
Linux emmy 3.16.4-1-ARCH #1 SMP PREEMPT Mon Oct 6 08:23:49 CEST 2014 i686 GNU/Linux
root@emmy stefan]# modprobe nvidia
modprobe: ERROR: could not insert 'nvidia': Exec format error
root@emmy stefan]#

Mach ich was falsch, habe ich was übersehen/überlesen oder ist der Punkt für einen Bugreport gekommen, sofern der noch nicht läuft? Anmerkung: der nouveau-Treiber läuft, aber nicht in Verbindung mit gnome (bzw. umgekehrt).

Grüße,
Sl

Offline

#13 20.10.2014 14:26:15

stefanhusmann
Moderator

Re: Restrukturierung der Nvidia-Pakete

root@emmy stefan]# pacman -Q | grep nvidia
nvidia 340.32-1
nvidia-libgl 340.32-1
nvidia-utils 340.32-1

Das sind nicht die aktuellen Pakete. Mach ein pacman -Suy.

Offline

#14 20.10.2014 14:42:29

Steli
Mitglied

Re: Restrukturierung der Nvidia-Pakete

stefanhusmann schrieb:
root@emmy stefan]# pacman -Q | grep nvidia
nvidia 340.32-1
nvidia-libgl 340.32-1
nvidia-utils 340.32-1

Das sind nicht die aktuellen Pakete. Mach ein pacman -Suy.

Tut mir leid, aber die Antwort verstehe ich nicht. Natürlich handelt es sich bei 340... nicht um die aktuellen Treiber (343 ...). Die Probleme sind erstmalig ja gerade NACH dem update auf 343 aufgetreten, während die zuvor letzte Version (340.32) noch einwandfrei lief. Daher auch die Idee, das Problem mit einem downgrade auf 340 zu lösen (und mit einem ignore-Eintrag in der pacman-conf ein versehentliches Überschreiben bei -Syu zu verhindern). Was aber leider nicht geklappt hat.

Grüße,
Sl

Offline

#15 21.10.2014 22:51:47

stefanhusmann
Moderator

Re: Restrukturierung der Nvidia-Pakete

nvidia-340xx liegt in der Version 340.46 in den Repos. Installiere dies Paket und die entsprechenden -utils- und -libgl-Pakete. Ich habe nie geschrieben, dass man nvidia downgraden soll. Das kann auch nicht funktionieren.

Offline

Schnellantwort auf dieses Thema

Schreibe deinen Beitrag und versende ihn
Deine Antwort

Fußzeile des Forums